%define sounds_dir %{_datadir}/asterisk/sounds

Name:           asterisk-sounds-core
Version:        1.4.14
Release:        1%{?dist}
Summary:        Core sounds for Asterisk

Group:          Applications/Internet

License:        CC-BY-SA
URL:            http://www.asterisk.org/

Source0:        http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-en-alaw-%{version}.tar.gz
Source1:        http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-en-g722-%{version}.tar.gz
Source2:        http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-en-g729-%{version}.tar.gz
Source3:        http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-en-gsm-%{version}.tar.gz
Source4:        http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-en-sln16-%{version}.tar.gz
Source5:        http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-en-ulaw-%{version}.tar.gz
Source6:        http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-en-wav-%{version}.tar.gz

Source10:       http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-es-alaw-%{version}.tar.gz
Source11:       http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-es-g722-%{version}.tar.gz
Source12:       http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-es-g729-%{version}.tar.gz
Source13:       http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-es-gsm-%{version}.tar.gz
Source14:       http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-es-sln16-%{version}.tar.gz
Source15:       http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-es-ulaw-%{version}.tar.gz
Source16:       http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-es-wav-%{version}.tar.gz

Source20:       http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-fr-alaw-%{version}.tar.gz
Source21:       http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-fr-g722-%{version}.tar.gz
Source22:       http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-fr-g729-%{version}.tar.gz
Source23:       http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-fr-gsm-%{version}.tar.gz
Source24:       http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-fr-sln16-%{version}.tar.gz
Source25:       http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-fr-ulaw-%{version}.tar.gz
Source26:       http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-core-sounds-fr-wav-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
Core sound files for Asterisk.

%package en
Summary: Core English sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0

%description en
Core English sound files for Asterisk.

%package en-alaw
Summary: Core English ALAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-alaw
Core English ALAW sound files for Asterisk.

%package en-g722
Summary: Core English G.722 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-g722
Core English G.722 sound files for Asterisk.

%package en-g729
Summary: Core English G.729 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-g729
Core English G.729 sound files for Asterisk.

%package en-gsm
Summary: Core English GSM sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-gsm
Core English GSM sound files for Asterisk.

%package en-sln16
Summary: Core English SLN16 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-sln16
Core English SLN16 sound files for Asterisk.

%package en-ulaw
Summary: Core English ULAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-ulaw
Core English ULAW sound files for Asterisk.

%package en-wav
Summary: Core English WAV sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-en = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description en-wav
Core English WAV sound files for Asterisk.

%package es
Summary: Core Spanish sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0

%description es
Core Spanish sound files for Asterisk.

%package es-alaw
Summary: Core Spanish ALAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-alaw
Core Spanish ALAW sound files for Asterisk.

%package es-g722
Summary: Core Spanish G.722 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-g722
Core Spanish G.722 sound files for Asterisk.

%package es-g729
Summary: Core Spanish G.729 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-g729
Core Spanish G.729 sound files for Asterisk.

%package es-gsm
Summary: Core Spanish GSM sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-gsm
Core Spanish GSM sound files for Asterisk.

%package es-sln16
Summary: Core Spanish SLN16 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-sln16
Core Spanish SLN16 sound files for Asterisk.

%package es-ulaw
Summary: Core Spanish ULAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-ulaw
Core Spanish ULAW sound files for Asterisk.

%package es-wav
Summary: Core Spanish WAV sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-es = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description es-wav
Core Spanish WAV sound files for Asterisk.

%package fr
Summary: Core English sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0

%description fr
Core French sound files for Asterisk.

%package fr-alaw
Summary: Core French ALAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-alaw
Core French ALAW sound files for Asterisk.

%package fr-g722
Summary: Core French G.722 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-g722
Core French G.722 sound files for Asterisk.

%package fr-g729
Summary: Core French G.729 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-g729
Core French G.729 sound files for Asterisk.

%package fr-gsm
Summary: Core French GSM sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-gsm
Core French GSM sound files for Asterisk.

%package fr-sln16
Summary: Core French SLN16 sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-sln16
Core French SLN16 sound files for Asterisk.

%package fr-ulaw
Summary: Core French ULAW sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-ulaw
Core French ULAW sound files for Asterisk.

%package fr-wav
Summary: Core French WAV sound files for Asterisk
Group: Applications/Internet
Requires: asterisk >= 1.4.0
Requires: asterisk-sounds-core-fr = %{version}-%{release}
Provides: asterisk-sounds-core = %{version}-%{release}

%description fr-wav
Core French WAV sound files for Asterisk.

%prep

%setup -c -T 

%build

for file in %{S:0} %{S:1} %{S:2} %{S:3} %{S:4} %{S:5} %{S:6}
do
  tar --list --file $file | grep -E '.(alaw|g722|g729|gsm|sln16|ulaw|wav)$' | sed -e 's!^!%{sounds_dir}/!' > `basename $file .tar.gz`.list
  tar --extract --directory . --file $file
done

mkdir es

for file in %{S:10} %{S:11} %{S:12} %{S:13} %{S:14} %{S:15} %{S:16}
do
  tar --list --file $file | grep -E '.(alaw|g722|g729|gsm|sln16|ulaw|wav)$' | sed -e 's!^!%{sounds_dir}/es/!' > `basename $file .tar.gz`.list
  tar --extract --directory ./es/ --file $file
done

mkdir fr

for file in %{S:20} %{S:21} %{S:22} %{S:23} %{S:24} %{S:25} %{S:26}
do
  tar tf $file | grep -E '.(alaw|g722|g729|gsm|sln16|ulaw|wav)$' | sed -e 's!^!%{sounds_dir}/fr/!' > `basename $file .tar.gz`.list
  tar --extract --directory ./fr/  --file $file
done

iconv -f iso-8859-1 -t utf-8 < fr/core-sounds-fr.txt > fr/core-sounds-fr.txt.tmp
touch --reference fr/core-sounds-fr.txt fr/core-sounds-fr.txt.tmp
mv fr/core-sounds-fr.txt.tmp fr/core-sounds-fr.txt

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{sounds_dir}
mkdir -p %{buildroot}%{sounds_dir}/es
mkdir -p %{buildroot}%{sounds_dir}/fr

for file in `cat *.list | sed -e 's!^%{sounds_dir}/!!'`
do
        mkdir -p %{buildroot}%{sounds_dir}/`dirname $file`
        cp -p $file %{buildroot}%{sounds_dir}/$file
done

%clean
rm -rf %{buildroot}

%files en
%defattr(-,root,root,-)
%doc core-sounds-en.txt
%doc CHANGES-asterisk-core-en-%{version}
%doc CREDITS-asterisk-core-en-%{version}
%doc LICENSE-asterisk-core-en-%{version}
%dir %{sounds_dir}/dictate/
%dir %{sounds_dir}/digits/
%dir %{sounds_dir}/followme/
%dir %{sounds_dir}/letters/
%dir %{sounds_dir}/phonetic/

%files en-alaw -f asterisk-core-sounds-en-alaw-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-alaw-%{version}.list

%files en-g722 -f asterisk-core-sounds-en-g722-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-g722-%{version}.list

%files en-g729 -f asterisk-core-sounds-en-g729-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-g729-%{version}.list

%files en-gsm -f asterisk-core-sounds-en-gsm-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-gsm-%{version}.list

%files en-sln16 -f asterisk-core-sounds-en-sln16-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-sln16-%{version}.list

%files en-ulaw -f asterisk-core-sounds-en-ulaw-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-ulaw-%{version}.list

%files en-wav -f asterisk-core-sounds-en-wav-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-wav-%{version}.list

%files es
%defattr(-,root,root,-)
%doc es/core-sounds-es.txt
%doc es/CHANGES-asterisk-core-es-%{version}
%doc es/CREDITS-asterisk-core-es-%{version}
%doc es/LICENSE-asterisk-core-es-%{version}
%dir %{sounds_dir}/es/
%dir %{sounds_dir}/es/dictate/
%dir %{sounds_dir}/es/digits/
%dir %{sounds_dir}/es/followme/
%dir %{sounds_dir}/es/letters/
%dir %{sounds_dir}/es/phonetic/

%files es-alaw -f asterisk-core-sounds-es-alaw-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-alaw-%{version}.list

%files es-g722 -f asterisk-core-sounds-es-g722-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-g722-%{version}.list

%files es-g729 -f asterisk-core-sounds-es-g729-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-g729-%{version}.list

%files es-gsm -f asterisk-core-sounds-es-gsm-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-gsm-%{version}.list

%files es-sln16 -f asterisk-core-sounds-es-sln16-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-sln16-%{version}.list

%files es-ulaw -f asterisk-core-sounds-es-ulaw-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-ulaw-%{version}.list

%files es-wav -f asterisk-core-sounds-es-wav-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-wav-%{version}.list

%files fr
%defattr(-,root,root,-)
%doc fr/core-sounds-fr.txt
%doc fr/CHANGES-asterisk-core-fr-%{version}
%doc fr/CREDITS-asterisk-core-fr-%{version}
%doc fr/LICENSE-asterisk-core-fr-%{version}
%dir %{sounds_dir}/fr/
%dir %{sounds_dir}/fr/dictate/
%dir %{sounds_dir}/fr/digits/
%dir %{sounds_dir}/fr/followme/
%dir %{sounds_dir}/fr/letters/
%dir %{sounds_dir}/fr/phonetic/

%files fr-alaw -f asterisk-core-sounds-fr-alaw-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-alaw-%{version}.list

%files fr-g722 -f asterisk-core-sounds-fr-g722-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-g722-%{version}.list

%files fr-g729 -f asterisk-core-sounds-fr-g729-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-g729-%{version}.list

%files fr-gsm -f asterisk-core-sounds-fr-gsm-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-gsm-%{version}.list

%files fr-sln16 -f asterisk-core-sounds-fr-sln16-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-sln16-%{version}.list

%files fr-ulaw -f asterisk-core-sounds-fr-ulaw-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-ulaw-%{version}.list

%files fr-wav -f asterisk-core-sounds-fr-wav-%{version}.list
%defattr(-,root,root,-)
%doc asterisk-core-sounds-en-wav-%{version}.list

%changelog
* Thu Feb 19 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.14-1
- Add dist tag back in.

* Fri Jan 30 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.14-1
- First version for Fedora
