%define debug_package %{nil}

Name:           daap-sharp
Version:        0.3.5
Release:        2%{?dist}
Summary:        DAAP (Digial Audio Access Protocol) implementation using Mono

Group:          System Environment/Libraries
License:        LGPLv2+
URL:		http://www.snorp.net/log/daap-sharp/         
Source0:        http://www.snorp.net/files/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel
BuildRequires:	avahi-sharp
Requires:	mono-core
   

%description
daap-sharp is a DAAP (Digial Audio Access Protocol) implementation.
It is used by Apple's iTunes software to share music.


%package devel
Summary:	Development libraries and headers for daap-sharp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig



%description devel
Libararies and header file for developing against daap-sharp.


%prep
%setup -q


%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package daap-sharp /gacdir %{_libdir} /root $RPM_BUILD_ROOT%{_libdir}"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/%{name}


%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Aug  2 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.5-2
- Update license tag.

* Fri Oct 27 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.5-1
- Update to 0.3.5.
- Disable debug info.

* Sat Sep 16 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.3-6
- Add requires for pkgconfig for devel.
- Drop patch for libdir.

* Tue Aug 29 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.3-5
- Rebuild for FC6.

* Fri May 26 2006 Brian Pepple <bdpepple@ameritech.net> - 0.3.3-4
- Bump.

* Tue May 16 2006 Brian Pepple <bdpepple@ameritech.net> - 0.3.3-3
- Add devel package for *.pc file.
- Add Req on mono-core.
- Use cleaner URL.

* Tue May  9 2006 Brian Pepple <bdpepple@ameritech.net> - 0.3.3-2
- Add patch to fix build on x86_64.

* Sat May  6 2006 Brian Pepple <bdpepple@ameritech.net> - 0.3.3-1
- Initial FE RPM spec.

