Name:           gdnet
Version:        0.6
Release:        1%{?dist}
Summary:        Demonstration tool for the libdnet interface

Group:          Applications/System
License:        GPLv2+
URL:            http://jon.oberheide.org/projects/gdnet/
Source0:        http://jon.oberheide.org/projects/%{name}/downloads/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libdnet-devel
BuildRequires:  libglade2-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  pkgconfig
BuildRequires:  desktop-file-utils


%description
gdnet is a graphical tool demonstrating the power and simplicity of
the libdnet interface. Using the GTK+ toolkit, it provides a variety 
of networking features in a simple, easy-to-use interface. 

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING
%{_datadir}/applications/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.glade


%changelog
* Sat Dec 06 2008 Fabian Affolter <fabian@bernewireless.net> - 0.6-1
- Update to 0.6 (.desktop file added and licensing infomration)
- Source1 removed
- BR modified

* Sun Nov 09 2008 Fabian Affolter <fabian@bernewireless.net> - 0.5-1
- Initial package for Fedora
