Summary:         GNOME interface for YUM
Name:            gnome-yum
Version:         0.1.4
Release:         1%{?dist}
Group:           Applications/System
License:         GPL
Source0:         http://prdownloads.sourceforge.net/g/gn/gnome-yum/%{name}-%{version}.tar.gz
Url:             http://gnome-yum.sourceforge.net
Requires:        usermode
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:   GConf2-devel vte-devel gnome-vfs2-devel desktop-file-utils libgnomeui-devel

%description 
GNOME Interface for YUM

%prep
cat<<EOT

Build disabled. Package is without maintainer.

EOT
exit 1

%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang gnome-yum
rm -f $RPM_BUILD_ROOT%{_bindir}/gnome-yum
cd $RPM_BUILD_ROOT%{_bindir}
ln -s consolehelper gnome-yum
for doc in ABOUT-NLS AUTHORS README COPYING INSTALL NEWS TODO ChangeLog; do
	rm -f $RPM_BUILD_ROOT%{_prefix}/doc/gnome-yum/$doc
done
desktop-file-install --vendor fedora --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-yum.desktop
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%postun
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%files -f gnome-yum.lang
%doc ABOUT-NLS AUTHORS README COPYING INSTALL TODO ChangeLog 
%defattr(-,root,root)
%dir %{_datadir}/pixmaps/gnome-yum
%{_datadir}/pixmaps/gnome-yum
%dir %{_datadir}/gnome/help/gnome-yum
%{_datadir}/gnome/help/gnome-yum/*
%dir %{_datadir}/omf/gnome-yum
%{_datadir}/omf/gnome-yum/*.omf
%{_datadir}/applications/*.desktop
%{_bindir}/gnome-yum
%{_sbindir}/gnome-yum
%config(noreplace) %{_sysconfdir}/pam.d/gnome-yum
%config(noreplace) %{_sysconfdir}/security/console.apps/gnome-yum
%attr(0755,root,root) %{_datadir}/gnome-yum/gyum-query.sh

%changelog
* Sun Sep 24 2006 András Tóth  <toth_bandi@users.sourceforge.net> - 0.1.4-1
- Added User Manual (thanks for Sam S. Ganzha)
- Added Czech translation (thanks for Lukas Novotny)

* Mon Jun 5 2006 András Tóth  <toth_bandi@users.sourceforge.net> - 0.1.3-1.1
- Rebuild for fedora-extras-development: resolve broken dependencies

* Sat Jan 14 2006 András Tóth  <toth_bandi@users.sourceforge.net> - 0.1.3-1
- Fixed specfile format bugs
