#!/bin/bash

# it only rebases de hypervisor now

set -x

pushd xen || exit 1
make clean
popd

CSET=`hg tip | grep "changeset:" | cut -f2 -d':' | sed 's/ //g'`
tar cvf xen-$CSET.tar xen || exit 1
rm -f xen-$CSET.tar.bz2
bzip2 -v9 xen-$CSET.tar || exit 1

set +x

ls -l xen-$CSET.tar.bz2
