%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define bname   shout-python

Name:           python-shout
Version:        0.2
Release:        1%{?dist}
Summary:        Python bindings for libshout 2

Group:          Development/Languages
License:        LGPLv2+
URL:            http://icecast.org
Source0:        http://downloads.us.xiph.org/releases/libshout/%{bname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, libshout-devel

%description
%{name} allows you to act as a source for icecast 1 and 2, and
shoutcast. This module includes inline documentation, or see
the included example.py for a demonstration of its usage.


%prep
%setup -q -n %{bname}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING PKG-INFO README
%{python_sitearch}/*.so
%{python_sitearch}/shout_python-%{version}-py2.5.egg-info


%changelog
* Thu May 06 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.2-1
- Initial RPM Release.
