Name:		sugar-jukebox
Version:	5
Release:	3%{?dist}
Summary:	Media player activity for Sugar

Group:		Sugar/Activities
License:	GPLv2+
URL:		http://wiki.laptop.org/go/Jukebox
Source0:	Jukebox-%{version}.tar.bz2
Source1:	sugar-jukebox-checkout.sh
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python sugar-toolkit
BuildArch:	noarch
Requires:	sugar

%description
The jukebox activity is an audio/video player that will play
different kind of files bases on the installed gstreamer plugins.


%prep
%setup -q -n Jukebox-%{version}


%build
python ./setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python ./setup.py install --prefix=$RPM_BUILD_ROOT/%{_prefix}

%find_lang org.laptop.sugar.Jukebox


%clean
rm -rf $RPM_BUILD_ROOT


%files -f org.laptop.sugar.Jukebox.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS MANIFEST TODO
%{sugaractivitydir}/Jukebox.activity/


%changelog
* Mon Nov 24 2008 Sebastian Dziallas <sebastian@when.com> - 5-3
- use git checkout script

* Wed Nov 19 2008 Sebastian Dziallas <sebastian@when.com> - 5-2
- modify build section and source path

* Thu Nov 13 2008 Sebastian Dziallas <sebastian@when.com> - 5-1
- update to version 5

* Tue Nov 11 2008 Sebastian Dziallas <sebastian@when.com> - 4-1
- update to version 4

* Wed Oct 22 2008 Sebastian Dziallas <sebastian@when.com> - 3-1
- Initial Packaging
