%define uqm_contentdir %{_datadir}/games/uqm/content/packages

Name:           uqm-content
Version:        0.6.0
Release:        2
Summary:        Base content files for The Ur-Quan Masters

Group:          Amusements/Games
License:        Distributable
URL:            http://sc2.sourceforge.net/
Source0:        http://download.sourceforge.net/sc2/uqm-%{version}-content.uqm
Source1:        http://download.sourceforge.net/sc2/uqm-%{version}-voice.uqm
Source2:        http://download.sourceforge.net/sc2/uqm-%{version}-3domusic.uqm
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
PreReq:         uqm >= %{version}

%description
%{summary}.


%package        voice
Summary:        Optional speech package for The Ur-Quan Masters
Requires:       %{name} = %{version}-%{release}
Group:          %{group}

%description    voice
%{summary}.


%package        3domusic
Summary:        Optional 3DO music package for The Ur-Quan Masters
Requires:       %{name} = %{version}-%{release}
Group:          %{group}

%description    3domusic
%{summary}.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{uqm_contentdir}
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{uqm_contentdir}/content.uqm
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{uqm_contentdir}/voice.uqm
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{uqm_contentdir}/3domusic.uqm


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{uqm_contentdir}/content.uqm

%files voice
%defattr(-,root,root,-)
%{uqm_contentdir}/voice.uqm

%files 3domusic
%defattr(-,root,root,-)
%{uqm_contentdir}/3domusic.uqm


%changelog
* Fri Dec 22 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6.0-2
- Dropping disttag -- this package does not change between distributions.

* Fri Dec 22 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6.0-1
- Upstream 0.6.0

* Mon Feb  6 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.5.0-1
- 0.5.0.

* Sun May 22 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.4.0-1
- 0.4.0.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.3-2
- rebuilt

* Sat Sep  6 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.1
- Update to 0.3.

* Mon Jul  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.2-0.fdr.2
- Re-bzip2 content and voice zips to save space (#88).
- Fix typos in uqm-voice summary and description (#88).
- Spec cleanups, save it in UTF-8.

* Sun Mar 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.2-0.fdr.1
- First Fedora release.
