Name: vdrift-data
Version:  20071226
Release:  3%{?dist}
Summary: VDrift data set

Group: Amusements/Games 
License: GPLv2+
URL: http://vdrift.net
Source0: http://downloads.sourceforge.net/vdrift/vdrift-2007-12-26-data.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
BuildArch: noarch

Requires: vdrift = %{version}

%description
VDrift is a cross-platform, open source driving simulation made with drift 
racing in mind. It's powered by the excellent Vamos physics engine. It is
released under the GNU General Public License (GPL) v2. It is currently
available for Linux, FreeBSD, Mac OS X and Windows (Cygwin).

This package provides the data set.

%prep

%setup -qn data

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/vdrift
cp -pr * %{buildroot}%{_datadir}/vdrift

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{_datadir}/vdrift/

%changelog
* Mon Apr 14 2008 Jesse Keating <jkeating@redhat.com> - 20071226-3
- Rebuild due to buildsystem corruption

* Thu Feb 14 2008 Jon Ciesla <limb@jcomserv.net> - 20071226-2
- Multiple package fixes.

* Tue Feb 12 2008 Jon Ciesla <limb@jcomserv.net> - 20071226-1
- New upstream version.

* Mon Apr 04 2007 Jon Ciesla <limb@jcomserv.net> - 20070323-1
- Initial packaging
