Name:		alienarena-data
Summary: 	Data files for Alien Arena 2008
Version:	20090115
Release:	1%{?dist}
License:	Redistributable, no modification permitted
Group:		Amusements/Games
URL:		http://icculus.org/alienarena/
# We need to get this from SVN
#   mkdir alienarena-data-20090115 && cd alienarena-data-20090115
#   svn co svn://svn.icculus.org/alienarena/tags/7.21/arena
#   svn co svn://svn.icculus.org/alienarena/tags/7.21/botinfo
#   svn co svn://svn.icculus.org/alienarena/tags/7.21/data1
#   cd ../
#   find alienarena-20090115 -depth -name .svn -type d -exec rm -rf {} \;
#   tar -cvjf alienarena-data-20090115.tar.bz2 alienarena-data-20090115
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch


%description
Data files (audio, maps, etc) for Alien Arena 2008.


%prep
%setup -q
rm -f {arena,data1}/game.so


%build


%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{_datadir}/alienarena/
cp -ap arena botinfo data1 %{buildroot}/%{_datadir}/alienarena/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_datadir}/alienarena/

%changelog
* Fri Jan 30 2009 Tom "spot" Callaway <tcallawa@redhat.com> 20090115-1
- update to 20090115 (7.21)

* Mon Oct 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 20081016-1
- update to 20081016
- sync up with Paul Bredbury's spec

* Thu Jul  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 20080603-2
- get rid of prebuilt so file

* Wed Jul  2 2008 Tom "spot" Callaway <tcallawa@redhat.com> 20080603-1
- update to 2008 data

* Tue Nov 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> 20071011-2
- cleanups, move icon into hicolor tree

* Thu Nov 1 2007 Tom "spot" Callaway <tcallawa@redhat.com> 20071011-1
- Initial package for Fedora
