Name: astromenace-data
Version:  1.2
Release:  1%{?dist}
Summary: Hardcore 3D space shooter with spaceship upgrade possibilities  

Group: Amusements/Games 
License: GPLv3
URL: http://www.viewizard.com/
Source0: http://www.viewizard.com/download/AstroMenaceSourceArt_070928.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
Requires: astromenace = %{version}
BuildArchitectures: noarch

%description
Space is a vast area, an unbounded territory where it seems there is a 
room for everybody, but reversal of fortune put things differently. The 
hordes of hostile creatures crawled out from the dark corners of the
universe, craving to conquer your homeland. Their force is compelling,
their legions are interminable. However, humans didn't give up without
a final showdown and put their best pilot to fight back. These malicious
invaders chose the wrong galaxy to conquer and you are to prove it! 
Go ahead and make alien aggressors regret their insolence.

This package provides game data and English, German and Russian language files.

%prep

%setup -qn AstroMenaceSourceArt

cd Ready\ for\ use\ game\ data/

sed -i 's/\r//' DATA*/SCRIPT/*
chmod -x DATA*/SCRIPT/*
sed -i 's/\r//' ReadMe.txt

%build
#nothing to build

%install
rm -rf %{buildroot}

cd Ready\ for\ use\ game\ data/

mkdir -p %{buildroot}%{_datadir}/astromenace
install -m 644 gamedata.vfs %{buildroot}%{_datadir}/astromenace
cp -ra DATA* %{buildroot}%{_datadir}/astromenace
install -m 644 gamelang_en.vfs %{buildroot}%{_datadir}/astromenace
install -m 644 gamelang_de.vfs %{buildroot}%{_datadir}/astromenace
install -m 644 gamelang_ru.vfs %{buildroot}%{_datadir}/astromenace

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Ready\ for\ use\ game\ data/ReadMe.txt
%{_datadir}/astromenace/

%changelog
* Tue Oct 02 2007 Jon Ciesla <limb@jcomserv.net> - 1.2-1
- create.
