%define eclipse_base        %{_datadir}/eclipse

Name:           eclipse-systemtapgui
Version:        1.0
Release:        5%{?dist}.2
Summary:        Eclipse plugins for SystemTap

Group:          Development/Tools
License:        EPL
URL:            http://stapgui.sourceforge.net/
Source0:        http://downloads.sourceforge.net/stapgui/com.ibm.systemtapgui.src.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  java-devel >= 1.5.0
BuildRequires:  eclipse-pde
BuildRequires:  jsch
Requires:       eclipse-platform

%description
Eclipse plugins providing IDE integration and visualization tools for SystemTap


%prep
%setup -q com.ibm.systemtapgui.src

 

%build
%{eclipse_base}/buildscripts/pdebuild -f \
com.ibm.systemtapgui.systemtap.feature -a "-DjavacSource=1.5 -DjavacTarget=1.5"


%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{eclipse_base}
unzip -q -d %{buildroot}%{eclipse_base}/.. \
build/rpmBuild/com.ibm.systemtapgui.systemtap.feature.zip

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_datadir}/eclipse/
%doc com.ibm.systemtapgui.systemtap.feature/epl-v10.html

%changelog
* Mon Feb 19 2009 Anithra P Janakiraman <anithra@linux.vnet.ibm.com> 1.0-5.2
- Changed eclipse-base for F9
* Mon Feb 19 2009 Anithra P Janakiraman <anithra@linux.vnet.ibm.com> 1.0-5.1
- Removed eclipse-swt dependency
* Mon Feb 10 2009 Anithra P Janakiraman <anithra@linux.vnet.ibm.com> 1.0-5
- Modified spec file. 
* Fri Feb 06 2009 Anithra P Janakiraman <anithra@linux.vnet.ibm.com> 1.0-4
- Renamed packages, modifications to spec file, code.
* Thu Feb 05 2009 Anithra P Janakiraman <anithra@linux.vnet.ibm.com> 1.0-3
- Renamed package to remove camel casing
* Sat Jan 31 2009 Anithra P Janakiraman <anithra@linux.vnet.ibm.com> 1.0-2
- Changes to spec file,corrected feature.xml,build.xml
* Wed Jan 21 2009 Anithra P Janakiraman <anithra@linux.vnet.ibm.com> 1.0-1
- Initial Fedora package

