%define buildall 0

%define redhatify 1

Summary: Internationalization support for KDE3
Name: kde-i18n
Epoch: 1
Version: 3.5.10
Release: 4%{?dist}

# GFDL, with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
License: GFDL 
Url: http://www.kde.org
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

# Speed build options
%define debug_package %{nil}
%define __spec_install_post %{nil}
AutoReq: no

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-ar-%{version}.tar.bz2
Source1: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-bg-%{version}.tar.bz2
Source2: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-bn-%{version}.tar.bz2
Source3: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-ca-%{version}.tar.bz2
Source4: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-cs-%{version}.tar.bz2
Source5: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-da-%{version}.tar.bz2
Source6: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-de-%{version}.tar.bz2
Source7: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-el-%{version}.tar.bz2
Source8: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-en_GB-%{version}.tar.bz2
Source9: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-es-%{version}.tar.bz2
Source10: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-et-%{version}.tar.bz2
Source11: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-fi-%{version}.tar.bz2
Source12: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-fr-%{version}.tar.bz2
Source13: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-he-%{version}.tar.bz2
Source14: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-hi-%{version}.tar.bz2
Source15: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-hu-%{version}.tar.bz2
Source16: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-is-%{version}.tar.bz2
Source17: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-it-%{version}.tar.bz2
Source18: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-ja-%{version}.tar.bz2
Source19: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-nb-%{version}.tar.bz2
Source20: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-nl-%{version}.tar.bz2
Source21: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-nn-%{version}.tar.bz2
Source22: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-pa-%{version}.tar.bz2
Source23: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-pl-%{version}.tar.bz2
Source24: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-pt-%{version}.tar.bz2
Source25: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-pt_BR-%{version}.tar.bz2
Source26: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-ro-%{version}.tar.bz2
Source27: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-ru-%{version}.tar.bz2
Source28: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-sk-%{version}.tar.bz2
Source29: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-sl-%{version}.tar.bz2
Source30: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-sr-%{version}.tar.bz2
Source31: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-sv-%{version}.tar.bz2
Source32: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-ta-%{version}.tar.bz2
Source33: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-tr-%{version}.tar.bz2
Source34: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-uk-%{version}.tar.bz2
Source35: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-zh_CN-%{version}.tar.bz2
Source36: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-zh_TW-%{version}.tar.bz2
Source37: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-lt-%{version}.tar.bz2
Source38: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-ko-%{version}.tar.bz2
Source1000: subdirs-kde-i18n

BuildRequires: findutils
BuildRequires: gettext
BuildRequires: kdelibs3-devel

Requires: kde-filesystem

%description
%{summary}.

%package Afrikaans
Summary: Afrikaans(af) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-af = %{version}-%{release}
Requires: kde-filesystem
%description Afrikaans
%{summary}.

%package Arabic 
Summary: Arabic(ar) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-ar = %{version}-%{release}
Requires: kde-filesystem
%description Arabic
%{summary}.

%package Azerbaijani
Summary: Azerbaijani(az) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-az = %{version}-%{release}
Requires: kde-filesystem
%description Azerbaijani
%{summary}.

%package Belarusian
Summary: Belarusian(be) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-be = %{version}-%{release}
Requires: kde-filesystem
%description Belarusian
%{summary}.

%package Bulgarian
Summary: Bulgarian(bg) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-bg = %{version}-%{release}
Requires: kde-filesystem
%description Bulgarian
%{summary}.

%package Bengali
Summary: Bengali(bn) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-bn = %{version}-%{release}
Requires: kde-filesystem
%description Bengali
%{summary}.

%package Tibetan
Summary: Tibetan(bo) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-bo = %{version}-%{release}
Requires: kde-filesystem
%description Tibetan
%{summary}.

%package Breton
Summary: Breton(br) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-br = %{version}-%{release}
Requires: kde-filesystem
%description Breton
%{summary}.

%package Bosnian
Summary: Bosnian(bs) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-bs = %{version}-%{release}
Requires: kde-filesystem
%description Bosnian
%{summary}.

%package Catalan
Summary: Catalan(ca) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-ca = %{version}-%{release}
Requires: kde-filesystem
%description Catalan
%{summary}.

%package Czech
Summary: Czech(cs) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-cs = %{version}-%{release}
Requires: kde-filesystem
%description Czech
%{summary}.

%package Cymraeg
Summary: Cymraeg language support for KDE3
Group: User Interface/Desktops
Requires: kde-filesystem
%description Cymraeg
%{summary}.

%package Welsh
Summary: Welsh(cy) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-cy = %{version}-%{release}
Requires: kde-filesystem
%description Welsh
%{summary}.

%package Danish
Summary: Danish(da) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-da = %{version}-%{release}
Requires: kde-filesystem
%description Danish
%{summary}.

%package German
Summary: German(de) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-de = %{version}-%{release}
Requires: kde-filesystem
%description German
%{summary}.

%package Greek
Summary: Greek(el) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-el = %{version}-%{release}
Requires: kde-filesystem
%description Greek
%{summary}.

%package British
Summary: British(en_GB) English support for KDE3
Group: User Interface/Desktops
Provides: %{name}-en_GB = %{version}-%{release}
Requires: kde-filesystem
%description British
%{summary}.

%package Esperanto
Summary: Esperanto(eo) support for KDE3
Group: User Interface/Desktops
Provides: %{name}-eo = %{version}-%{release}
Requires: kde-filesystem
%description Esperanto
%{summary}.

%package Spanish
Summary: Spanish(es) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-es = %{version}-%{release}
Requires: kde-filesystem
%description Spanish
%{summary}.

%package Estonian
Summary: Estonian(et) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-et = %{version}-%{release}
Requires: kde-filesystem
%description Estonian
%{summary}.

%package Basque
Summary: Basque(eu) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-eu = %{version}-%{release}
Requires: kde-filesystem
%description Basque
%{summary}.

%package Farsi
Summary: Farsi(fa) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-fa = %{version}-%{release}
Requires: kde-filesystem
%description Farsi
%{summary}.

%package Finnish
Summary: Finnish(fi) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-fi = %{version}-%{release}
Requires: kde-filesystem
%description Finnish
%{summary}.

%package Faroese
Summary: Faroese(fo) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-fo = %{version}-%{release}
Requires: kde-filesystem
%description Faroese
%{summary}.

%package French
Summary: French(fr) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-fr = %{version}-%{release}
Requires: kde-filesystem
%description French
%{summary}.

%package Frisian
Summary: Frisian(fy) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-fy = %{version}-%{release}
Requires: kde-filesystem
%description Frisian
%{summary}.

%package Irish
Summary: Irish(ga) language support for KDE3
Group: User Interface/Desktops
Obsoletes: kde-i18n-Gaeilge
Provides: %{name}-ga = %{version}-%{release}
Requires: kde-filesystem
%description Irish
%{summary}.

%package Galician
Summary: Galician(gl) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-gl = %{version}-%{release}
Requires: kde-filesystem
%description Galician
%{summary}.

%package Hebrew
Summary: Hebrew(he) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-he = %{version}-%{release}
Requires: kde-filesystem
%description Hebrew
%{summary}.

%package Hindi
Summary: Hindi(hi) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-hi = %{version}-%{release}
Requires: kde-filesystem
%description Hindi
%{summary}.

%package Croatian
Summary: Croatian(hr) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-hr = %{version}-%{release}
Requires: kde-filesystem
%description Croatian
%{summary}.

%package Hungarian
Summary: Hungarian(hu) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-hu = %{version}-%{release}
Requires: kde-filesystem
%description Hungarian
%{summary}.

%package Indonesian
Summary: Indonesian(id) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-id = %{version}-%{release}
Requires: kde-filesystem
%description Indonesian
%{summary}.

%package Icelandic
Summary: Icelandic(is) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-is = %{version}-%{release}
Requires: kde-filesystem
%description Icelandic
%{summary}.

%package Italian
Summary: Italian(it) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-it = %{version}-%{release}
Requires: kde-filesystem
%description Italian
%{summary}.

%package Japanese
Summary: Japanese(ja) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-ja = %{version}-%{release}
Requires: kde-filesystem
%description Japanese
%{summary}.

%package Korean
Summary: Korean(ko) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-ko = %{version}-%{release}
Requires: kde-filesystem
%description Korean
%{summary}.

%package Kurdish
Summary: Kurdish(ku) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-ku = %{version}-%{release}
Requires: kde-filesystem
%description Kurdish
%{summary}.

%package Lao
Summary: Lao(lo) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-lo = %{version}-%{release}
Requires: kde-filesystem
%description Lao
%{summary}.

%package Lithuanian
Summary: Lithuanian(lt) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-lt = %{version}-%{release}
Requires: kde-filesystem
%description Lithuanian
%{summary}.

%package Latvian
Summary: Latvian(lv) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-lv = %{version}-%{release}
Requires: kde-filesystem
%description Latvian
%{summary}.

%package Maori
Summary: Maori(mi) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-mi = %{version}-%{release}
Requires: kde-filesystem
%description Maori
%{summary}.

%package Macedonian
Summary: Macedonian(mk) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-mk = %{version}-%{release}
Requires: kde-filesystem
%description Macedonian
%{summary}.

%package Maltese
Summary: Maltese(mt) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-mt = %{version}-%{release}
Requires: kde-filesystem
%description Maltese
%{summary}.

%package Dutch
Summary: Dutch(nl) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-nl = %{version}-%{release}
Requires: kde-filesystem
%description Dutch
%{summary}.

%package Norwegian
Summary: Norwegian(no) (Bokmaal) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-no = %{version}-%{release}
Requires: kde-filesystem
%description Norwegian
%{summary}.

%package Norwegian-Nynorsk
Summary: Norwegian(nn) (Nynorsk) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-nn = %{version}-%{release}
Requires: kde-filesystem
%description Norwegian-Nynorsk
%{summary}.

%package Occitan
Summary: Occitan(oc) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-oc = %{version}-%{release}
Requires: kde-filesystem
%description Occitan
%{summary}.

%package Polish
Summary: Polish(pl) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-pl = %{version}-%{release}
Requires: kde-filesystem
%description Polish
%{summary}.

%package Portuguese
Summary: Portuguese(pt) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-pt = %{version}-%{release}
Requires: kde-filesystem
%description Portuguese
%{summary}.

%package Punjabi
Summary: Punjabi(pa) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-pa = %{version}-%{release}
Requires: kde-filesystem
%description Punjabi
%{summary}.

%package Brazil
Summary: Brazil(pt_BR) Portuguese language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-pt_BR = %{version}-%{release}
Requires: kde-filesystem
%description Brazil
%{summary}.

%package Romanian
Summary: Romanian(ro) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-ro = %{version}-%{release}
Requires: kde-filesystem
%description Romanian
%{summary}.

%package Russian
Summary: Russian(ru) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-ru = %{version}-%{release}
Requires: kde-filesystem
%description Russian
%{summary}.

%package Slovak
Summary: Slovak(sk) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-sk = %{version}-%{release}
Requires: kde-filesystem
%description Slovak
%{summary}.

%package Slovenian
Summary: Slovenian(sl) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-sl = %{version}-%{release}
Requires: kde-filesystem
%description Slovenian
%{summary}.

%package Serbian
Summary: Serbian(sr) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-sr = %{version}-%{release}
Requires: kde-filesystem
%description Serbian
%{summary}.

%package Swedish
Summary: Swedish(sv) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-sv = %{version}-%{release}
Requires: kde-filesystem
%description Swedish
%{summary}.

%package Tamil
Summary: Tamil(ta) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-ta = %{version}-%{release}
Requires: kde-filesystem
%description Tamil
%{summary}.

%package Tajik
Summary: Tajik(tg) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-tg = %{version}-%{release}
Requires: kde-filesystem
%description Tajik
%{summary}.

%package Thai
Summary: Thai(th) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-th = %{version}-%{release}
Requires: kde-filesystem
%description Thai
%{summary}.

%package Turkish
Summary: Turkish(tr) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-tr = %{version}-%{release}
Requires: kde-filesystem
%description Turkish
%{summary}.

%package Ukrainian
Summary: Ukrainian(uk) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-uk = %{version}-%{release}
Requires: kde-filesystem
%description Ukrainian
%{summary}.

%package Venda
Summary: Venda(ven) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-ven = %{version}-%{release}
Requires: kde-filesystem
%description Venda
%{summary}.

%package Vietnamese
Summary: Vietnamese(vi) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-vi = %{version}-%{release}
Requires: kde-filesystem
%description Vietnamese
%{summary}.

%package Walloon
Summary: Walloon(wa) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-wa = %{version}-%{release}
Requires: kde-filesystem
%description Walloon
%{summary}.

%package Xhosa
Summary: Xhosa(xh) (a Bantu language) support for KDE3
Group: User Interface/Desktops
Provides: %{name}-xh = %{version}-%{release}
Requires: kde-filesystem
%description Xhosa
%{summary}.

%package Chinese
Summary: Chinese(zh_CN) (Simplified Chinese) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-zh_CN = %{version}-%{release}
Requires: kde-filesystem
%description Chinese
%{summary}.

%package Chinese-Big5
Summary: Chinese(zh_TW) (Big5) language support for KDE3
Group: User Interface/Desktops
Provides: %{name}-tz_TW = %{version}-%{release}
Requires: kde-filesystem
%description Chinese-Big5
%{summary}.


%prep
%setup -q -n %{name}-%{version} -c

for i in $(cat %{SOURCE1000}) ; do
  tar jxf %{_sourcedir}/%{name}-$i-%{version}.tar.bz2
done


%build
for i in $(cat %{SOURCE1000}) ; do
  pushd %{name}-$i-%{version}
%configure
  make %{?_smp_mflags}
  popd
done


%install
rm -rf %{buildroot}

for i in $(cat %{SOURCE1000}) ; do
  make -C %{name}-$i-%{version} datadir=%{_datadir} DESTDIR=%{buildroot} install
done

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in *; do
  if [ -d $lang ]; then
    pushd $lang
    for i in */*/*; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../../../docs/common $i
      fi
    done

    for i in */*; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../../docs/common $i
      fi
    done

    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done

    popd
  fi
done
popd   

rm -rf %{buildroot}%{_docdir}/kinfocenter

# remove zero-length file
for i in $(find %{buildroot}%{_docdir}/HTML -size 0) ; do
   rm -f $i
done

%if %{redhatify}
# See http://fedoraproject.org/wiki/Languages
   rm -f %{buildroot}%{_datadir}/locale/*/flag.png
%endif

%if 0%{?fedora} >= 9
   # remove .mo and entry.desktop files which conflict with KDE 4 kde-l10n
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/amor.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ark.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/audiocd_encoder_lame.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/audiocd_encoder_vorbis.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/audiorename_plugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/blinken.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/bovo.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/cervisia.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/cvsservice.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/display.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/dolphin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/drkonqi.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/filetypes.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/gwenview.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/htmlsearch.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/imagerename_plugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/irkick.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/joystick.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/juk.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kabc.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kabc_dir.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kabc_file.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kabc_ldapkio.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kabc_net.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kabcformat_binary.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kaccess.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kalgebra.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kalzium.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kanagram.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kappfinder.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kate.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kateexternaltoolsplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katefilebrowserplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katefiletemplates.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katefindinfilesplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katehelloworld.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katehtmltools.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kateinsertcommand.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katekjswrapper.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katekonsoleplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katemailfilesplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katemake.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kateopenheader.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katepart4.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katepybrowse.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katequickdocumentswitcherplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katesnippets.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katesymbolviewer.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katetabbarextension.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katetextfilter.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katexmlcheck.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katexmltools.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/katomic.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kbattleship.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kblackbox.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kblankscrn.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kbounce.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kbruch.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kbstateapplet.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kbugbuster.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcachegrind.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcalc.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcertpart.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcharselect.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcharselectapplet.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcm_krfb.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcm_kwindesktop.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcm_phonon.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcm_phononxine.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcm_solid.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmaccess.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmaccessibility.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmaudiocd.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmbackground.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmbell.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmcddb.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmcgi.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmcolors.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmcomponentchooser.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmcrypto.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmcss.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmenergy.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmfonts.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmhtmlsearch.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmicons.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcminfo.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcminit.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcminput.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmioslaveinfo.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkamera.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkclock.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkded.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkdnssd.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkeyboard.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkeys.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkio.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkonq.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkonqhtml.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkurifilt.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkvaio.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkwallet.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkwincompositing.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkwindecoration.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkwinrules.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkwm.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmlaunch.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmlirc.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmlocale.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmnic.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmnotify.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmperformance.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmsamba.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmscreensaver.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmshell.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmsmartcard.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmsmserver.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmstyle.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmtaskbar.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmthinkpad.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmusb.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmview1394.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmxinerama.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcolorchooser.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcron.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdat.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kde-menu.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdebugdialog.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdelibs4.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdelibs_colors4.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdelirc.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdepasswd.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdeqt.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdessh.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdesu.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdesud.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdf.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdialog.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdmconfig.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdmgreet.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/keditbookmarks.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfifteenapplet.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_avi.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_dds.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_drgeo.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_dvi.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_exr.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_flac.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_kig.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_mp3.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_mpc.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_mpeg.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_ogg.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_pnm.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_raw.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_rgb.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_rpm.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_sid.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_theora.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_tiff.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_torrent.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_wav.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_xps.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfileaudiopreview4.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfileshare.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfindpart.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfloppy.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfmclient.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfontinst.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfourinline.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kgamma.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kgeography.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kget.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kgoldrunner.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kgpg.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kgreet_classic.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kgreet_winbind.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/khangman.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/khelpcenter.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/khotkeys.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/khotnewstuff.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/khtmlkttsd.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kig.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kinetd.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kinfocenter.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio4.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_archive.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_audiocd.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_finger.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_fish.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_floppy.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_help4.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_imap4.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_jabberdisco.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_ldap.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_man.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_mbox.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_nfs.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_nntp.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_pop3.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_remote.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_settings.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_sftp.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_sieve.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_smb.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_smtp.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_svn.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_thumbnail.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_trash.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_zeroconf.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kioclient.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kioexec.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kiriki.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kiten.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kjots.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kjumpingcube.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/klaptopdaemon.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/klettres.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/klines.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/klipper.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/klock.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmag.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmahjongg.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmenuedit.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmilo_asus.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmilo_delli8k.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmilo_generic.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmilo_kvaio.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmilo_powerbook.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmilo_thinkpad.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmilod.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmimetypefinder.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmines.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmix.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmoon.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmousetool.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmouth.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmplot.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/knetattach.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/knetwalk.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/knetworkconf.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/knotify4.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kolf.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kolourpaint4.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kompare.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/konqueror.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/konquest.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/konsole.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kopete.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kpackage.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kpartsaver.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kpasswdserver.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kpat.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kpercentage.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kppp.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kppplogview.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kquitapp.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krandr.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krdb.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krdc.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kreadconfig.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_bugzilla.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kreversi.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krfb.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kruler.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krunner.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krunner_bookmarksrunner.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krunner_calculatorrunner.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krunner_locationsrunner.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krunner_searchrunner.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krunner_webshortcutsrunner.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kolourpaint.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksame.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksayit.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kscanplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kscd.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kscreensaver.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kshisen.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kshorturifilter.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksim.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksmserver.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksnapshot.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kspaceduel.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksplashthemes.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksquares.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kstars.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kstart.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kstartperf.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kstyle_config.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kstyle_keramik_config.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kstyle_phase_config.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksudoku.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksysguard.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksystraycmd.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksysv.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kteatime.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktexteditor_plugins.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kthememanager.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktimer.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktip.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktouch.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktraderclient.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kttsd.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktuberling.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kturtle.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktux.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kuiserver.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kuiviewer.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kurifilter.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kuser.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwalletmanager.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kweather.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwin_art_clients.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwin_clients.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwin_effects.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwin_lib.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwordquiz.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kworldclock.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwrite.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwriteconfig.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kxkb.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kxsconfig.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libKTTSD.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkblog.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkcal.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkcddb.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkcompactdisc.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkdeedu.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkdegames.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkldap.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkmahjongg.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkmime.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkonq.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkpimidentities.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkpimutils.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkresources.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkscreensaver.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libktnef.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkworkspace.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkxmlrpcclient.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libmailtransport.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libphonon.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libplasma.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libtaskmanager.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/lskat.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/marble.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/nepomukcoreservices.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/nepomukserver.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/nsplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/oktetapart.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_chm.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_djvu.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_dvi.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_fictionbook.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_ghostview.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_kimgio.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_ooo.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_plucker.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_poppler.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_tiff.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/okular_xps.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/parley.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/phonon-xine.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/phonon_kde.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_battery.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_clock.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_desktop.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_devicenotifier.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_dig_clock.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_kget.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_knewsticker.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_launcher.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_pager.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_skapplet.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_tasks.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasma_engine_dict.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/plasmaengineexplorer.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/processcore.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/processui.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/secpolicy.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/solidcontrol.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/solidshell.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/soliduiserver.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/spy.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/strigila_diff.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/superkaramba.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/svgpart.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/sweeper.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/systemsettings.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/timezones4.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/umbrello.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/useraccount.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdgantt.mo
   rm -f %{buildroot}%{_datadir}/locale/*/entry.desktop

   # keep these ones because we're shipping KDE 3 kdewebdev (because of Quanta)
   # rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfilereplace.mo
   # rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kimagemapeditor.mo
   # rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/klinkstatus.mo

   # remove docs which conflict with KDE 4 kde-l10n
   rm -rf %{buildroot}%{_docdir}/HTML/*/amor
   rm -rf %{buildroot}%{_docdir}/HTML/*/ark
   rm -rf %{buildroot}%{_docdir}/HTML/*/blinken
   rm -rf %{buildroot}%{_docdir}/HTML/*/bovo
   rm -rf %{buildroot}%{_docdir}/HTML/*/cervisia
   rm -rf %{buildroot}%{_docdir}/HTML/*/common
   rm -rf %{buildroot}%{_docdir}/HTML/*/dolphin
   rm -rf %{buildroot}%{_docdir}/HTML/*/gwenview
   rm -rf %{buildroot}%{_docdir}/HTML/*/irkick
   rm -rf %{buildroot}%{_docdir}/HTML/*/juk
   rm -rf %{buildroot}%{_docdir}/HTML/*/kalgebra
   rm -rf %{buildroot}%{_docdir}/HTML/*/kalzium
   rm -rf %{buildroot}%{_docdir}/HTML/*/kamera
   rm -rf %{buildroot}%{_docdir}/HTML/*/kanagram
   rm -rf %{buildroot}%{_docdir}/HTML/*/kapptemplate
   rm -rf %{buildroot}%{_docdir}/HTML/*/kate
   rm -rf %{buildroot}%{_docdir}/HTML/*/kate-plugins
   rm -rf %{buildroot}%{_docdir}/HTML/*/katomic
   rm -rf %{buildroot}%{_docdir}/HTML/*/kbattleship
   rm -rf %{buildroot}%{_docdir}/HTML/*/kblackbox
   rm -rf %{buildroot}%{_docdir}/HTML/*/kbounce
   rm -rf %{buildroot}%{_docdir}/HTML/*/kbruch
   rm -rf %{buildroot}%{_docdir}/HTML/*/kbugbuster
   rm -rf %{buildroot}%{_docdir}/HTML/*/kcachegrind
   rm -rf %{buildroot}%{_docdir}/HTML/*/kcalc
   rm -rf %{buildroot}%{_docdir}/HTML/*/kcharselect
   rm -rf %{buildroot}%{_docdir}/HTML/*/kcmlirc
   rm -rf %{buildroot}%{_docdir}/HTML/*/kcontrol
   rm -rf %{buildroot}%{_docdir}/HTML/*/kcron
   rm -rf %{buildroot}%{_docdir}/HTML/*/kdat
   rm -rf %{buildroot}%{_docdir}/HTML/*/kdebugdialog
   rm -rf %{buildroot}%{_docdir}/HTML/*/kdesu
   rm -rf %{buildroot}%{_docdir}/HTML/*/kdesvn-build
   rm -rf %{buildroot}%{_docdir}/HTML/*/kdf
   rm -rf %{buildroot}%{_docdir}/HTML/*/kdm
   rm -rf %{buildroot}%{_docdir}/HTML/*/kfind
   rm -rf %{buildroot}%{_docdir}/HTML/*/kfloppy
   rm -rf %{buildroot}%{_docdir}/HTML/*/kfourinline
   rm -rf %{buildroot}%{_docdir}/HTML/*/kgamma
   rm -rf %{buildroot}%{_docdir}/HTML/*/kgeography
   rm -rf %{buildroot}%{_docdir}/HTML/*/kget
   rm -rf %{buildroot}%{_docdir}/HTML/*/kgoldrunner
   rm -rf %{buildroot}%{_docdir}/HTML/*/kgpg
   rm -rf %{buildroot}%{_docdir}/HTML/*/khangman
   rm -rf %{buildroot}%{_docdir}/HTML/*/khelpcenter
   rm -rf %{buildroot}%{_docdir}/HTML/*/kig
   rm -rf %{buildroot}%{_docdir}/HTML/*/kinfocenter
   rm -rf %{buildroot}%{_docdir}/HTML/*/kiriki
   rm -rf %{buildroot}%{_docdir}/HTML/*/kioslave
   rm -rf %{buildroot}%{_docdir}/HTML/*/kiten
   rm -rf %{buildroot}%{_docdir}/HTML/*/kjots
   rm -rf %{buildroot}%{_docdir}/HTML/*/kjumpingcube
   rm -rf %{buildroot}%{_docdir}/HTML/*/klettres
   rm -rf %{buildroot}%{_docdir}/HTML/*/klines
   rm -rf %{buildroot}%{_docdir}/HTML/*/klipper
   rm -rf %{buildroot}%{_docdir}/HTML/*/kmag
   rm -rf %{buildroot}%{_docdir}/HTML/*/kmahjongg
   rm -rf %{buildroot}%{_docdir}/HTML/*/kmenuedit
   rm -rf %{buildroot}%{_docdir}/HTML/*/kmines
   rm -rf %{buildroot}%{_docdir}/HTML/*/kmix
   rm -rf %{buildroot}%{_docdir}/HTML/*/kmoon
   rm -rf %{buildroot}%{_docdir}/HTML/*/kmousetool
   rm -rf %{buildroot}%{_docdir}/HTML/*/kmouth
   rm -rf %{buildroot}%{_docdir}/HTML/*/kmplot
   rm -rf %{buildroot}%{_docdir}/HTML/*/knetattach
   rm -rf %{buildroot}%{_docdir}/HTML/*/knetwalk
   rm -rf %{buildroot}%{_docdir}/HTML/*/knetworkconf
   rm -rf %{buildroot}%{_docdir}/HTML/*/knewsticker
   rm -rf %{buildroot}%{_docdir}/HTML/*/kolf
   rm -rf %{buildroot}%{_docdir}/HTML/*/kolourpaint
   rm -rf %{buildroot}%{_docdir}/HTML/*/kompare
   rm -rf %{buildroot}%{_docdir}/HTML/*/konqueror
   rm -rf %{buildroot}%{_docdir}/HTML/*/konquest
   rm -rf %{buildroot}%{_docdir}/HTML/*/konsole
   rm -rf %{buildroot}%{_docdir}/HTML/*/kopete
   rm -rf %{buildroot}%{_docdir}/HTML/*/kpackage
   rm -rf %{buildroot}%{_docdir}/HTML/*/kpat
   rm -rf %{buildroot}%{_docdir}/HTML/*/kpercentage
   rm -rf %{buildroot}%{_docdir}/HTML/*/kppp
   rm -rf %{buildroot}%{_docdir}/HTML/*/krdc
   rm -rf %{buildroot}%{_docdir}/HTML/*/kreversi
   rm -rf %{buildroot}%{_docdir}/HTML/*/krfb
   rm -rf %{buildroot}%{_docdir}/HTML/*/kruler
   rm -rf %{buildroot}%{_docdir}/HTML/*/ksame
   rm -rf %{buildroot}%{_docdir}/HTML/*/kscd
   rm -rf %{buildroot}%{_docdir}/HTML/*/kshisen
   rm -rf %{buildroot}%{_docdir}/HTML/*/ksim
   rm -rf %{buildroot}%{_docdir}/HTML/*/ksnapshot
   rm -rf %{buildroot}%{_docdir}/HTML/*/kspaceduel
   rm -rf %{buildroot}%{_docdir}/HTML/*/ksquares
   rm -rf %{buildroot}%{_docdir}/HTML/*/kstars
   rm -rf %{buildroot}%{_docdir}/HTML/*/ksudoku
   rm -rf %{buildroot}%{_docdir}/HTML/*/ksysguard
   rm -rf %{buildroot}%{_docdir}/HTML/*/ksysv
   rm -rf %{buildroot}%{_docdir}/HTML/*/kteatime
   rm -rf %{buildroot}%{_docdir}/HTML/*/ktimer
   rm -rf %{buildroot}%{_docdir}/HTML/*/ktouch
   rm -rf %{buildroot}%{_docdir}/HTML/*/kttsd
   rm -rf %{buildroot}%{_docdir}/HTML/*/ktuberling
   rm -rf %{buildroot}%{_docdir}/HTML/*/kturtle
   rm -rf %{buildroot}%{_docdir}/HTML/*/kuser
   rm -rf %{buildroot}%{_docdir}/HTML/*/kwallet
   rm -rf %{buildroot}%{_docdir}/HTML/*/kweather
   rm -rf %{buildroot}%{_docdir}/HTML/*/kwordquiz
   rm -rf %{buildroot}%{_docdir}/HTML/*/kworldclock
   rm -rf %{buildroot}%{_docdir}/HTML/*/kwrite
   rm -rf %{buildroot}%{_docdir}/HTML/*/kxkb
   rm -rf %{buildroot}%{_docdir}/HTML/*/lskat
   rm -rf %{buildroot}%{_docdir}/HTML/*/marble
   rm -rf %{buildroot}%{_docdir}/HTML/*/okular
   rm -rf %{buildroot}%{_docdir}/HTML/*/parley
   rm -rf %{buildroot}%{_docdir}/HTML/*/plasma
   rm -rf %{buildroot}%{_docdir}/HTML/*/sonnet
   rm -rf %{buildroot}%{_docdir}/HTML/*/superkaramba
   rm -rf %{buildroot}%{_docdir}/HTML/*/umbrello

   # keep these ones because we're shipping KDE 3 kdewebdev (because of Quanta)
   # rm -rf %{buildroot}%{_docdir}/HTML/*/kfilereplace
   # rm -rf %{buildroot}%{_docdir}/HTML/*/kimagemapeditor
   # rm -rf %{buildroot}%{_docdir}/HTML/*/klinkreplace
   # rm -rf %{buildroot}%{_docdir}/HTML/*/xsldbg

   # remove .mo files which conflict with KDE 4 extragear
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcoloredit.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kiconedit.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kaudiocreator.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmid.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/akregator_konqplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/autorefresh.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/babelfish.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/crashesplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/dirfilterplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/domtreeviewer.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/fsview.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/imgalleryplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/khtmlsettingsplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/konqsidebar_mediaplayer.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/konqsidebar_metabar.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/konqsidebar_news.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/mf_konqplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/minitoolsplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/rellinks.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/searchbarplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/uachangerplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/validatorsplugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/webarchiver.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ksig.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kpovmodeler.mo

   # remove docs which conflict with KDE 4 extragear
   rm -rf %{buildroot}%{_docdir}/HTML/*/kcoloredit
   rm -rf %{buildroot}%{_docdir}/HTML/*/kiconedit
   rm -rf %{buildroot}%{_docdir}/HTML/*/kaudiocreator
   rm -rf %{buildroot}%{_docdir}/HTML/*/kmid
   rm -rf %{buildroot}%{_docdir}/HTML/*/konq-plugins
   rm -rf %{buildroot}%{_docdir}/HTML/*/ksig
   rm -rf %{buildroot}%{_docdir}/HTML/*/kpovmodeler

   # remove obsolete KDE 3 application data translations
   rm -rf %{buildroot}%{_datadir}/apps

%if 0%{?fedora} >= 10
   # on F10+, also get rid of kdepim stuff
   rm -rf %{buildroot}%{_docdir}/HTML/*/akregator
   rm -rf %{buildroot}%{_docdir}/HTML/*/kaddressbook
   rm -rf %{buildroot}%{_docdir}/HTML/*/kalarm
   rm -rf %{buildroot}%{_docdir}/HTML/*/karm
   rm -rf %{buildroot}%{_docdir}/HTML/*/kleopatra
   rm -rf %{buildroot}%{_docdir}/HTML/*/kmail
   rm -rf %{buildroot}%{_docdir}/HTML/*/knode
   rm -rf %{buildroot}%{_docdir}/HTML/*/knotes
   rm -rf %{buildroot}%{_docdir}/HTML/*/konsolekalendar
   rm -rf %{buildroot}%{_docdir}/HTML/*/kontact
   rm -rf %{buildroot}%{_docdir}/HTML/*/korganizer
   rm -rf %{buildroot}%{_docdir}/HTML/*/korn
   rm -rf %{buildroot}%{_docdir}/HTML/*/kpilot
   rm -rf %{buildroot}%{_docdir}/HTML/*/ktnef
   rm -rf %{buildroot}%{_docdir}/HTML/*/kwatchgnupg
   rm -rf %{buildroot}%{_docdir}/HTML/*/multisynk

   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/akregator.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kabc_slox.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kaddressbook.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kalarm.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkabconfig.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kcmkontactnt.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdepimresources.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kdepimwizards.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kfile_vcf.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kio_groupwise.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kitchensync.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kleopatra.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmail.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmail_text_calendar_plugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmail_text_vcard_plugin.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kmailcvt.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/knode.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/knotes.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/konsolekalendar.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kontact.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/korganizer.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/korn.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kpilot.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_birthday.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_featureplan.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_groupware.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_groupwise.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_kolab.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_remote.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_scalix.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_tvanytime.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kres_xmlrpc.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/ktnef.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/kwatchgnupg.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkdepim.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkholidays.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkleopatra.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libkpgp.mo
   rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/libksieve.mo
%endif
%endif

%clean
rm -rf %{buildroot}


%if %{buildall}
%files Afrikaans
%defattr(-,root,root,-)
%lang(af) %{_datadir}/locale/af/*
%lang(af) %{_docdir}/HTML/af/
%endif

%files Arabic 
%defattr(-,root,root,-)
%lang(ar) %{_datadir}/locale/ar/*

%if %{buildall}
%files Azerbaijani
%defattr(-,root,root,-)
%lang(az) %{_datadir}/locale/az/*
%endif

%if %{buildall}
%files Belarusian
%defattr(-,root,root,-)
%lang(be) %{_datadir}/locale/be/*
%endif

%files Bulgarian
%defattr(-,root,root,-)
%lang(bg) %{_datadir}/locale/bg/*
%if 0%{?fedora} < 9
%lang(bg) %{_datadir}/apps/khangman/data/bg
%endif

%files Bengali
%defattr(-,root,root,-)
%lang(bn) %{_datadir}/locale/bn/*

%if %{buildall}
%files Tibetan
%defattr(-,root,root,-)
%lang(bo) %{_datadir}/locale/bo/*
%endif

%if %{buildall}
%files Breton
%defattr(-,root,root,-)
%lang(br) %{_datadir}/locale/br/*
%endif

%if %{buildall}
%files Bosnian
%defattr(-,root,root,-)
%lang(bs) %{_datadir}/locale/bs/*
%endif

%files Catalan
%defattr(-,root,root,-)
%lang(ca) %{_datadir}/locale/ca/*
%lang(ca) %{_docdir}/HTML/ca/
%if 0%{?fedora} < 9
%lang(ca) %{_datadir}/apps/khangman/ca.txt
%lang(ca) %{_datadir}/apps/khangman/data/ca
%lang(ca) %{_datadir}/apps/katepart/syntax/logohighlightstyle.ca.xml
%lang(ca) %{_datadir}/apps/kturtle/data/*.ca.xml
%lang(ca) %{_datadir}/apps/kturtle/examples/ca
%lang(ca) %{_datadir}/apps/kanagram/data/ca
%lang(ca) %{_datadir}/apps/klatin/data/vocabs/ca
%endif

%files Czech
%defattr(-,root,root,-)
%lang(cs) %{_datadir}/locale/cs/*
%lang(cs) %{_docdir}/HTML/cs/
%if 0%{?fedora} < 9
%lang(cs) %{_datadir}/apps/khangman/data/cs
%lang(cs) %{_datadir}/apps/khangman/cs.txt
%lang(cs) %{_datadir}/apps/klettres/cs
%endif

%if %{buildall}
%files Welsh
%defattr(-,root,root,-)
%lang(cy) %{_datadir}/locale/cy/*
%endif

%files Danish
%defattr(-,root,root,-)
%lang(da) %{_datadir}/locale/da/*
%lang(da) %{_docdir}/HTML/da/
%if 0%{?fedora} < 9
%lang(da) %{_datadir}/apps/ktuberling/sounds/da/*
%lang(da) %{_datadir}/apps/khangman/data/da
%lang(da) %{_datadir}/apps/khangman/da.txt
%lang(da) %{_datadir}/apps/klettres/da
%endif

%files German
%defattr(-,root,root,-)
%lang(de) %{_datadir}/locale/de/*
%lang(de) %{_docdir}/HTML/de/
%if 0%{?fedora} < 9
%lang(de) %{_datadir}/apps/klettres/de
%lang(de) %{_datadir}/apps/ktuberling/sounds/de/*
%lang(de) %{_datadir}/apps/khangman/data/de
%lang(de) %{_datadir}/apps/khangman/de.txt
%lang(de) %{_datadir}/apps/kanagram/data/de
%lang(de) %{_datadir}/apps/katepart/syntax/logohighlightstyle.de_DE.xml
%lang(de) %{_datadir}/apps/kturtle/data/*.de_DE.xml
%lang(de) %{_datadir}/apps/kturtle/examples/de_DE
%endif

%files Greek
%defattr(-,root,root,-)
%lang(el) %{_datadir}/locale/el/*

%files British
%defattr(-,root,root,-)
%lang(en_GB) %{_datadir}/locale/en_GB/*
%lang(en_GB) %{_docdir}/HTML/en_GB/
%if 0%{?fedora} < 9
%lang(en_GB) %{_datadir}/apps/katepart/syntax/logohighlightstyle.en_GB.xml
%lang(en_GB) %{_datadir}/apps/kturtle/data/*.en_GB.xml
%lang(en_GB) %{_datadir}/apps/kturtle/examples/en_GB
%lang(en_GB) %{_datadir}/apps/klettres/en_GB
%endif

%if %{buildall}
%files Esperanto
%defattr(-,root,root,-)
%lang(eo) %{_datadir}/locale/eo/*
%endif

%files Spanish
%defattr(-,root,root,-)
%lang(es) %{_datadir}/locale/es/*
%lang(es) %{_docdir}/HTML/es/
%if 0%{?fedora} < 9
%lang(es) %{_datadir}/apps/ktuberling/sounds/es/*
%lang(es) %{_datadir}/apps/khangman/data/es
%lang(es) %{_datadir}/apps/khangman/es.txt
%lang(es) %{_datadir}/apps/katepart/syntax/logohighlightstyle.es.xml
%lang(es) %{_datadir}/apps/kturtle/data/*.es.xml
%lang(es) %{_datadir}/apps/kturtle/examples/es
%lang(es) %{_datadir}/apps/klettres/es
%endif

%files Estonian
%defattr(-,root,root,-)
%lang(et) %{_datadir}/locale/et/*
%lang(et) %{_docdir}/HTML/et/
%if 0%{?fedora} < 9
%lang(et) %{_datadir}/apps/kanagram/data/et
%lang(et) %{_datadir}/apps/khangman/data/et
%lang(et) %{_datadir}/apps/khangman/et.txt
%endif

%if %{buildall}
%files Basque
%defattr(-,root,root,-)
%lang(eu) %{_datadir}/locale/eu/*
%endif

%if %{buildall}
%files Farsi
%defattr(-,root,root,-)
%lang(fa) %{_datadir}/locale/fa/*
%endif

%files Finnish
%defattr(-,root,root,-)
%lang(fi) %{_datadir}/locale/fi/*
%lang(fi) %{_docdir}/HTML/fi/
%if 0%{?fedora} < 9
%lang(fi) %{_datadir}/apps/khangman/data/fi
%lang(fi) %{_datadir}/apps/khangman/fi.txt
%endif

%if %{buildall}
%files Faroese
%defattr(-,root,root,-)
%lang(fo) %{_datadir}/locale/fo/*
%endif

%files French
%defattr(-,root,root,-)
%lang(fr) %{_datadir}/locale/fr/*
%lang(fr) %{_docdir}/HTML/fr/
%if 0%{?fedora} < 9
%lang(fr) %{_datadir}/apps/ktuberling/sounds/fr/*
%lang(fr) %{_datadir}/apps/khangman/data/fr
%lang(fr) %{_datadir}/apps/khangman/fr.txt
%lang(fr) %{_datadir}/apps/kanagram/data/fr
%lang(fr) %{_datadir}/apps/katepart/syntax/logohighlightstyle.fr_FR.xml
%lang(fr) %{_datadir}/apps/kturtle/data/*.fr_FR.xml
%lang(fr) %{_datadir}/apps/kturtle/examples/fr_FR
%endif

%if %{buildall}
%files Frisian
%defattr(-,root,root,-)
%lang(fy) %{_datadir}/locale/fy/*
%endif

%if %{buildall}
%files Irish
%defattr(-,root,root,-)
%lang(ga) %{_datadir}/locale/ga/*

%files Galician
%defattr(-,root,root,-)
%lang(gl) %{_datadir}/locale/gl/*
%endif

%files Hebrew
%defattr(-,root,root,-)
%lang(he) %{_datadir}/locale/he/*
%lang(he) %{_docdir}/HTML/he/
%if 0%{?fedora} < 9
%lang(he) %{_datadir}/apps/klettres/he
%endif

%files Hindi
%defattr(-,root,root,-)
%lang(hi) %{_datadir}/locale/hi/*

%if %{buildall}
%files Croatian
%defattr(-,root,root,-)
%lang(hr) %{_datadir}/locale/hr/*
%lang(hr) %{_docdir}/HTML/hr/
%endif

%files Hungarian
%defattr(-,root,root,-)
%lang(hu) %{_datadir}/locale/hu/*
%lang(hu) %{_docdir}/HTML/hu/
%if 0%{?fedora} < 9
%lang(hu) %{_datadir}/apps/khangman/data/hu
%lang(hu) %{_datadir}/apps/khangman/hu.txt
%endif

%if %{buildall}
%files Indonesian
%defattr(-,root,root,-)
%lang(id) %{_datadir}/locale/id/*
%lang(id) %{_docdir}/HTML/id/
%endif

%files Icelandic
%defattr(-,root,root,-)
%lang(is) %{_datadir}/locale/is/*

%files Italian
%defattr(-,root,root,-)
%lang(it) %{_datadir}/locale/it/*
%lang(it) %{_docdir}/HTML/it/
%if 0%{?fedora} < 9
%lang(it) %{_datadir}/apps/kanagram/data/it/*
%lang(it) %{_datadir}/apps/ktuberling/sounds/it/*
%lang(it) %{_datadir}/apps/khangman/data/it
%lang(it) %{_datadir}/apps/klettres/it
%lang(it) %{_datadir}/apps/katepart/syntax/logohighlightstyle.it.xml
%lang(it) %{_datadir}/apps/klatin/data/vocabs/it
%lang(it) %{_datadir}/apps/kturtle/data/*.it.xml
%lang(it) %{_datadir}/apps/kturtle/examples/it
%endif

%files Japanese
%defattr(-,root,root,-)
%lang(ja) %{_datadir}/locale/ja/*
%lang(ja) %{_docdir}/HTML/ja/

%files Korean
%defattr(-,root,root,-)
%lang(ko) %{_datadir}/locale/ko/*
%lang(ko) %{_docdir}/HTML/ko/

%if %{buildall}
%files Kurdish
%defattr(-,root,root,-)
%lang(ku) %{_datadir}/locale/ku/*
%lang(ku) %{_docdir}/HTML/ku/
%endif

%if %{buildall}
%files Lao
%defattr(-,root,root,-)
%lang(lo) %{_datadir}/locale/lo/*
%lang(lo) %{_docdir}/HTML/lo/
%endif

%files Lithuanian
%defattr(-,root,root,-)
%lang(lt) %{_datadir}/locale/lt/*

%if %{buildall}
%files Latvian
%defattr(-,root,root,-)
%lang(lv) %{_datadir}/locale/lv/*
%endif

%if %{buildall}
%files Maori
%defattr(-,root,root,-)
%lang(mi) %{_datadir}/locale/mi/*
%endif

%if %{buildall}
%files Macedonian
%defattr(-,root,root,-)
%lang(mk) %{_datadir}/locale/mk/*
%endif

%if %{buildall}
%files Maltese
%defattr(-,root,root,-)
%lang(mt) %{_datadir}/locale/mt/*
%endif

%files Dutch
%defattr(-,root,root,-)
%lang(nl) %{_datadir}/locale/nl/*
%lang(nl) %{_docdir}/HTML/nl/
%if 0%{?fedora} < 9
%lang(nl) %{_datadir}/apps/ktuberling/sounds/nl/*
%lang(nl) %{_datadir}/apps/khangman/data/nl
%lang(nl) %{_datadir}/apps/klettres/nl
%lang(nl) %{_datadir}/apps/katepart/syntax/logohighlightstyle.nl.xml
%lang(nl) %{_datadir}/apps/kturtle/data/*.nl.xml
%lang(nl) %{_datadir}/apps/kturtle/examples/nl
%endif

%files Norwegian
%defattr(-,root,root,-)
%lang(nb) %{_datadir}/locale/nb/*
#%lang(nb) %{_docdir}/HTML/nb/
#%if 0%{?fedora} < 9
#%lang(nb) %{_datadir}/apps/khangman/data/nb
#%lang(nb) %{_datadir}/apps/khangman/nb.txt
#%endif

%files Norwegian-Nynorsk
%defattr(-,root,root,-)
%lang(nn) %{_datadir}/locale/nn/*
#%lang(nn) %{_docdir}/HTML/nn/
%if 0%{?fedora} < 9
%lang(nn) %{_datadir}/apps/khangman/data/nn
%lang(nn) %{_datadir}/apps/khangman/nn.txt
%endif

%if %{buildall}
%files Occitan
%defattr(-,root,root,-)
%lang(oc) %{_datadir}/locale/oc/*
%endif

%files Punjabi
%defattr(-,root,root,-)
%lang(pa) %{_datadir}/locale/pa/*

%files Polish
%defattr(-,root,root,-)
%lang(pl) %{_datadir}/locale/pl/*
%lang(pl) %{_docdir}/HTML/pl/
%if 0%{?fedora} < 9
%lang(pl) %{_datadir}/apps/katepart/syntax/logohighlightstyle.pl.xml
%lang(pl) %{_datadir}/apps/khangman/data/pl
%lang(pl) %{_datadir}/apps/khangman/pl.txt
%lang(pl) %{_datadir}/apps/kturtle/data/logokeywords.pl.xml
%lang(pl) %{_datadir}/apps/kturtle/examples/pl
%endif

%files Portuguese
%defattr(-,root,root,-)
%lang(pt) %{_datadir}/locale/pt/*
%lang(pt) %{_docdir}/HTML/pt/
%if 0%{?fedora} < 9
%lang(pt) %{_datadir}/apps/ktuberling/sounds/pt/*
%lang(pt) %{_datadir}/apps/khangman/data/pt
%lang(pt) %{_datadir}/apps/khangman/pt.txt
%endif

%files Brazil
%defattr(-,root,root,-)
%lang(pt_BR) %{_datadir}/locale/pt_BR/*
%lang(pt_BR) %{_docdir}/HTML/pt_BR/
%if 0%{?fedora} < 9
%lang(pt_BR) %{_datadir}/apps/khangman/data/pt_BR
%lang(pt_BR) %{_datadir}/apps/khangman/pt_BR.txt
%lang(pt_BR) %{_datadir}/apps/klettres/pt_BR
%lang(pt_BR) %{_datadir}/apps/katepart/syntax/logohighlightstyle.pt_BR.xml
%lang(pt_BR) %{_datadir}/apps/kturtle/data/*.pt_BR.xml
%lang(pt_BR) %{_datadir}/apps/kturtle/examples/pt_BR
%endif

%files Romanian
%defattr(-,root,root,-)
%lang(ro) %{_datadir}/locale/ro/*
%lang(ro) %{_docdir}/HTML/ro/
%if 0%{?fedora} < 9
%lang(ro) %{_datadir}/apps/ktuberling/sounds/ro/*
%endif

%files Russian
%defattr(-,root,root,-)
%lang(ru) %{_datadir}/locale/ru/*
%lang(ru) %{_docdir}/HTML/ru/
%if 0%{?fedora} < 9
%lang(ru) %{_datadir}/apps/kanagram/data/ru
%lang(ru) %{_datadir}/apps/khangman/data/ru
%lang(ru) %{_datadir}/apps/katepart/syntax/*.ru.xml
%lang(ru) %{_datadir}/apps/kturtle/data/*.ru.xml
%lang(ru) %{_datadir}/apps/kturtle/examples/ru
%endif

%files Slovak
%defattr(-,root,root,-)
%lang(sk) %{_datadir}/locale/sk/*
%lang(sk) %{_docdir}/HTML/sk/
%if 0%{?fedora} < 9
%lang(sk) %{_datadir}/apps/ktuberling/sounds/sk/*
%lang(sk) %{_datadir}/apps/kturtle/data/logokeywords.sk.xml
%lang(sk) %{_datadir}/apps/kturtle/examples/sk
%lang(sk) %{_datadir}/apps/klettres/sk
%lang(sk) %{_datadir}/apps/katepart/syntax/logohighlightstyle.sk.xml
%endif

%files Slovenian
%defattr(-,root,root,-)
%lang(sl) %{_datadir}/locale/sl/*
%lang(sl) %{_docdir}/HTML/sl/
%if 0%{?fedora} < 9
%lang(sl) %{_datadir}/apps/ktuberling/sounds/sl/*
%lang(sl) %{_datadir}/apps/khangman/data/sl
%lang(sl) %{_datadir}/apps/khangman/sl.txt
%lang(sl) %{_datadir}/apps/katepart/syntax/logohighlightstyle.sl.xml
%lang(sl) %{_datadir}/apps/kturtle/data/*.sl.xml
%lang(sl) %{_datadir}/apps/kturtle/examples/sl
%endif

%files Serbian
%defattr(-,root,root,-)
%lang(sr) %{_datadir}/locale/sr/*
%lang(sr) %{_docdir}/HTML/sr/
%if 0%{?fedora} < 9
%lang(sr) %{_datadir}/apps/khangman/data/sr
%lang(sr) %{_datadir}/apps/katepart/syntax/logohighlightstyle.sr.xml
%lang(sr) %{_datadir}/apps/kturtle/data/*.sr.xml
%lang(sr) %{_datadir}/apps/kturtle/examples/sr
%lang(sr) %{_datadir}/apps/ktuberling/sounds/sr
%endif

%files Swedish
%defattr(-,root,root,-)
%lang(sv) %{_datadir}/locale/sv/*
%lang(sv) %{_docdir}/HTML/sv/
%if 0%{?fedora} < 9
%lang(sv) %{_datadir}/apps/ktuberling/sounds/sv/*
%lang(sv) %{_datadir}/apps/khangman/data/sv
%lang(sv) %{_datadir}/apps/khangman/sv.txt
%lang(sv) %{_datadir}/apps/katepart/syntax/logohighlightstyle.sv.xml
%lang(sv) %{_datadir}/apps/kturtle/data/*.sv.xml
%lang(sv) %{_datadir}/apps/kturtle/examples/sv
%endif

%files Tamil
%defattr(-,root,root,-)
%lang(ta) %{_datadir}/locale/ta/*

%if %{buildall}
%files Tajik
%defattr(-,root,root,-)
%lang(tg) %{_datadir}/locale/tg/*
%endif

%if %{buildall}
%files Thai
%defattr(-,root,root,-)
%lang(th) %{_datadir}/locale/th/*
%endif

%files Turkish
%defattr(-,root,root,-)
%lang(tr) %{_datadir}/locale/tr/*
%lang(tr) %{_docdir}/HTML/tr/
%if 0%{?fedora} < 9
%lang(tr) %{_datadir}/apps/khangman/data/tr
%lang(tr) %{_datadir}/apps/khangman/tr.txt
%endif

%files Ukrainian
%defattr(-,root,root,-)
%lang(uk) %{_docdir}/HTML/uk/
%lang(uk) %{_datadir}/locale/uk/*

%if %{buildall}
%files Venda
%defattr(-,root,root,-)
%lang(ven) %{_datadir}/locale/ven/*
%endif

%if %{buildall}
%files Vietnamese
%defattr(-,root,root,-)
%lang(vi) %{_datadir}/locale/vi/*
%endif

%if %{buildall}
%files Walloon
%defattr(-,root,root,-)
%lang(wa) %{_datadir}/locale/wa/*
%endif

%if %{buildall}
%files Xhosa
%defattr(-,root,root,-)
%lang(xh) %{_datadir}/locale/xh/*
%lang(xh) %{_docdir}/HTML/xh/
%endif

%files Chinese
%defattr(-,root,root,-)
%lang(zh_CN) %{_datadir}/locale/zh_CN/*
%lang(zh_CN) %{_docdir}/HTML/zh_CN/

%files Chinese-Big5
%defattr(-,root,root,-)
%lang(zh_TW) %{_datadir}/locale/zh_TW/*
%lang(zh_TW) %{_docdir}/HTML/zh_TW/


%changelog
* Sat Apr 04 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 1:3.5.10-4
- remove kdesvn-build documentation, conflicts with kde-l10n 4.2.2

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.5.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 11 2009 Than Ngo <than@redhat.com> - 3.5.10-2
- remove kdgantt.mo that conflict with kde-l10n

* Wed Sep 03 2008 Than Ngo <than@redhat.com> 3.5.10-1
- 3.5.10

* Sun Aug 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 1:3.5.9-10
- F10+: remove more kdepim translations (conflicts reported by Michael Schwendt)

* Sat Jul 26 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 1:3.5.9-9
- on F10+, remove translations for kdepim apps now part of KDE 4.1 (#456745)

* Sun Jul 20 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 1:3.5.9-8
- also remove kpovmodeler translations on F9+ (#454458)

* Wed Jun 25 2008 Than Ngo <than@redhat.com> 1:3.5.9-7
- bump release because of Koji failure

* Mon Jun 23 2008 Than Ngo <than@redhat.com> 1:3.5.9-6
- on F9+, remove documentation which conflicts with kde-l10n rh#452391

* Fri Apr 18 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 1:3.5.9-5
- on F9+, remove documentation which conflicts with kde-l10n (#441537)
- mark Norvegian Bokmal translations with %%lang(nb) rather than %%lang(no)

* Sat Feb 16 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 1:3.5.9-4
- bump Release because of Koji failure

* Sat Feb 16 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 1:3.5.9-3
- update file lists

* Fri Feb 15 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 1:3.5.9-2
- fix data/kdeedu/kturtle/Makefile.in in kde-i18n-ru

* Fri Feb 15 2008 Than Ngo <than@redhat.com> 1:3.5.9-1
- 3.5.9

* Mon Feb 11 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 1:3.5.8-5
- on F9+, remove .mo files and documentation for software which moved to
  extragear in KDE 4: kcoloredit (#432137), kiconedit (#432139), kaudiocreator,
  kmid, konq-plugins, ksig

* Thu Feb 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 1:3.5.8-4
- remove KDE 3 application data on F9+
- remove .mo and entry.desktop files which conflict with KDE 4 kde-l10n on F9+

* Sun Dec 10 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1:3.5.8-3
- License: GFDL
- Provides: %%name-<locale>
- cosmetics (%%buildroot, %%defattr, extraneous %%doc)
- s/for KDE/for KDE3/
- document flag removal

* Fri Nov 02 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1:3.5.8-2
- BR: kdelibs3-devel
- Req: kde-filesystem

* Tue Oct 16 2007 Than Ngo <than@redhat.com> 1:3.5.8-1
- 3.5.8

* Wed Jun 06 2007 Than Ngo <than@redhat.com> 1:3.5.7-1
- 3.5.7

* Tue Feb 06 2007 Than Ngo <than@redhat.com> 1:3.5.6-1
- 3.5.6

* Tue Aug 08 2006 Than Ngo <than@redhat.com> 1:3.5.4-1
- 3.5.4

* Fri Jun 09 2006 Than Ngo <than@redhat.com> 1:3.5.3-3
- fix dangling symlinks

* Wed Jun 07 2006 Than Ngo <than@redhat.com> 1:3.5.3-2
- add BR on gettext-devel

* Sat Jun 03 2006 Than Ngo <than@redhat.com> 1:3.5.3-1
- update to 3.5.3

* Tue Apr 25 2006 Than Ngo <than@redhat.com> 1:3.5.2-3
- add kde-i18n-Lithuanian 

* Thu Apr 13 2006 Than Ngo <than@redhat.com> 1:3.5.2-2 
- fix file conflict

* Mon Apr 03 2006 Than Ngo <than@redhat.com> 1:3.5.2-1
- update to 3.5.2

* Wed Mar 08 2006 Than Ngo <than@redhat.com> 1:3.5.1-2 
- add missing zh_TW

* Wed Feb 01 2006 Than Ngo <than@redhat.com> 1:3.5.1-1
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Than Ngo <than@redhat.com> 1:3.5.0-1
- 3.5

* Thu Nov 03 2005 Than Ngo <than@redhat.com> 1:3.4.92-2
- add workaround for files conflict in Polish #171870

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 1:3.4.92-1
- update to 3.5 beta2

* Mon Oct 10 2005 Than Ngo <than@redhat.com> 1:3.4.91-1
- update to 3.5 beta 1

* Thu Jul 21 2005 Than Ngo <than@redhat.com> 1:3.4.2-1
- 3.4.2

* Wed Jun 29 2005 Than Ngo <than@redhat.com> 1:3.4.1-1 
- 3.4.1

* Thu Mar 03 2005 Than Ngo <than@redhat.com> 1:3.4.0-0.rc1.2
- fix build problem

* Tue Mar 01 2005 Than Ngo <than@redhat.com> 1:3.4.0-0.rc1.1
- 3.4.0 rc1

* Sat Feb 19 2005 Than Ngo <than@redhat.com> 1:3.3.92-0.1
- KDE-3.4 beta2

* Sat Feb 12 2005 Than Ngo <than@redhat.com> 1:3.3.2-1 
- add Hindi, Tamil, Punjabi, Bengali translation

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 1:3.3.2-0.1
- update to 3.3.2

* Sat Oct 16 2004 Than Ngo <than@redhat.com> 1:3.3.1-2
- rhel rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 1:3.3.1-1
- update to 3.3.1

* Tue Aug 31 2004 Than Ngo <than@redhat.com> 3.3.0-2
- fix rpm file list

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2
- add Bulgarian

* Fri Jun 18 2004 Than Ngo <than@redhat.com> 1:3.2.3-1 
- update to 3.2.3
- get rid of old brokon kde-i18n-ko
- add some new languages

* Tue Apr 20 2004 Than Ngo <than@redhat.com> 3.2.2-2
- add workaround for bug #121129, kdelibs conflicts with kde-i18n

* Tue Apr 13 2004 Than Ngo <than@redhat.com> 1:3.2.2-1
- 3.2.2 release

* Wed Mar 10 2004 Than Ngo <than@redhat.com> 1:3.2.1-2
- add missing Icelandic i18n

* Tue Mar 09 2004 Than Ngo <than@redhat.com> 1:3.2.1-1
- rebuild

* Fri Mar 05 2004 Than Ngo <than@redhat.com> 1:3.2.1-0.1
- 3.2.1 release

* Sun Feb 08 2004 Than Ngo <than@redhat.com> 1:3.2.0-0.2
- add missing kdevelop mo files

* Tue Feb 03 2004 Than Ngo <than@redhat.com> 1:3.2.0-0.1
- 3.2.0 release

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 1:3.1.95-0.1
- KDE 3.2 RC1

* Thu Dec 11 2003 Than Ngo <than@redhat.com> 1:3.1.94-0.3
- fix rpm file list

* Thu Dec 04 2003 Than Ngo <than@redhat.com> 1:3.1.94-0.2
- add missing i18n for ko 

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 1:3.1.94-0.1
- KDE 3.2 Beta2

* Sun Nov 09 2003 Than Ngo <than@redhat.com> 1:3.1.93-0.2
- fixed buildroot issue

* Wed Nov 05 2003 Than Ngo <than@redhat.com> 0.1:3.1.93-1
- 3.2 Beta 1

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 1:3.1.4-1
- 3.1.4

* Sat Aug 02 2003 Than Ngo <than@redhat.com> 1:3.1.3-2
- rebuilt

* Sat Aug 02 2003 Than Ngo <than@redhat.com> 1:3.1.3-1
- rebuilt

* Mon Jul 21 2003 Than Ngo <than@redhat.com> 1:3.1.3-0.9x.2
- fix rpm file list

* Sun Jul 20 2003 Than Ngo <than@redhat.com> 1:3.1.3-0.9x.1
- 3.1.3

* Wed Jul 9 2003 Than Ngo <than@redhat.com> 1:3.1.2-4
- add some translation for kdesktop

* Mon May 19 2003 Than Ngo <than@redhat.com> 1:3.1.2-2
- 3.1.2

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 1:3.1.1-1
- add ar/vi i18n
- fix typo bugs

* Wed Jan 29 2003 Than Ngo <than@redhat.com> 1:3.1-2
- fix conflict with kdevelop

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 1:3.1-1
- 3.1 release
- fix #81724

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 1:3.1-0.7
- rc7

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 1:3.1-0.6
- rebuild

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.5
- rc6
- exclude ia64

* Tue Dec 12 2002 Than Ngo <than@redhat.com> 3.1-0.4
- add missing requires kdelibs in sub packages

* Wed Dec 11 2002 Than Ngo <than@redhat.com> 3.1-0.3
- use %%configue
- dangling symlinks Bug #79345
- cleanup specfile

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.2
- Add missing ko/is i18n

* Sun Nov 24 2002 Than Ngo <than@redhat.com> 3.1-0.1
- 3.1 rc4

* Sat Nov  9 2002 Than Ngo <than@redhat.com> 3.0.5-1
- 3.0.5

* Mon Oct 14 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- localiztion fix (bug #75085, #75012)

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-2
- get rid of zero-length files

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 06 2002 Than Ngo <than@redhat.com> 3.0.1-1
- 3.0.1
- fixed rmplint errors #65989

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Apr 12 2002 Tim Powers <timp@redhat.com>3.0.0-5
- remove the following kde-i18n packages: Azerbaijani, Maltese,
  Esperanto, Tamil, Latvian, Xhosa, Lithuanian, Thai, and Bulgarian

* Tue Apr  9 2002 Than Ngo <than@redhat.com> 3.0.0-4
- fixed wrong tag 'nb' (bug #62890)

* Tue Apr  2 2002 Than Ngo <than@redhat.com> 3.0.0-3
- fixed Dangling Symlinks (#62559)

* Fri Mar 29 2002 Than Ngo <than@redhat.com> 3.0.0-2
- fix bug #61930
- add missing koffice-i18n

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-1
- update kde 3.0 final

* Tue Mar 26 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020326.1
- update
- fix bug #61513

* Thu Mar 14 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020314.1
- update

* Mon Mar 10 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020310.1
- update
- enable i18n for koffice

* Tue Mar  6 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020306.1
- update
- enable Catalan i18n
- use zh_TW and zh_CN instead zh_TW.Big5 and zh_CN.GB2312 (bug #60759)
- get rid of Buildrequires arts-devel

* Tue Jan  8 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020108.1
- update to CVS
- fix some broken po files
- fixed specfile

* Tue Nov 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-2
- Build all languages
- Add missing files

* Sun Nov 18 2001 Than Ngo <than@redhat.com> 2.2.2-1
- update to 2.2.2

* Tue Oct 09 2001 Than Ngo <than@redhat.com> 2.2-10
- fix rebuild problem against kdelibs-2.2-11 (bug #54476)

* Fri Sep 14 2001 Than Ngo <than@redhat.com> 2.2-9
- remove some broken stuff for building on s390

* Wed Aug 29 2001 Than Ngo <than@redhat.com> 2.2-8
- add some po files from Trond (Bug #35923, #35863)

* Thu Aug 23 2001 Than Ngo <than@redhat.com> 2.2-6
- add missing zh_TW.Big5
- fix file conflicts with koffice-i18n

* Tue Aug 14 2001 Tim Powers <timp@redhat.com>
- exclude Esperanto, Greek, Azerbaijani, Latvian, Maltese, Tamil,
  Serbian packages

* Tue Aug 14 2001 Than Ngo <than@redhat.com> 2.2-5
- add missing kde-i18n for Norway

* Mon Aug 13 2001 Than Ngo <than@redhat.com> 2.2-4
- fix dangling symlinks (bug #51647)

* Sun Aug 12 2001 Than Ngo <than@redhat.com> 2.2-3
- add korean i18n

* Fri Aug 10 2001 Than Ngo <than@redhat.com> 2.2-2
- many bug fixes

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- fix build dependency (bug #50463)
- fix some broken docbook

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- update
- make symlinks relative

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Nov 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS

* Wed Nov  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- New CVS

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sat Aug 19 2000 Than Ngo <than@redhat.com>
- put i18n stuff for KDE2 under /usr/lib/kde2,
  fix dependency problem

* Mon Jul 03 2000 Trond Eivind Glomsrød <teg@redhat.com>
- add default owner

* Sat Apr 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial RPM
