Name:           tremulous-data
Version:        1.1.0
Release:        5%{?dist}
Summary:        Data files for tremulous the FPS game
Group:          Amusements/Games
License:        CC-BY-SA
URL:            http://tremulous.net
# this is basically
# http://downloads.sourceforge.net/tremulous/tremulous-%{version}.zip
# repackaged with tremulous-%{version}-src.tar.gz  removed as that contains
# non Free software (the lcc compiler).
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-copyright.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
Data files for tremulous the Quake 3 based FPS game.


%prep
%setup -q
install -p -m 644 %{SOURCE1} fedora-copyright.txt


# %build
# nothing to build data only


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/tremulous/base
install -p -m 0644 base/*.pk3 $RPM_BUILD_ROOT%{_datadir}/tremulous/base/
install -p -m 0644 base/*.cfg $RPM_BUILD_ROOT%{_datadir}/tremulous/base/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CC COPYING fedora-copyright.txt manual.pdf
%{_datadir}/tremulous


%changelog
* Wed Feb 18 2009 Ian Weller <ianweller@gmail.com> 1.1.0-5
- Remove Requires on tremulous

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.0-4
- Update License tag for new Licensing Guidelines compliance

* Tue Sep  5 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.0-3
- Various small packaging improvements (see bug 204125)

* Mon Sep  4 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.0-2
- Add fedora-copyright.txt to %doc, which explains and contains the lifting of
  the shaderlab license exception, which makes this package distributable by
  Fedora

* Fri Aug 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.0-1
- Initial Fedora packaging (based on work from Matthias and Wart)
