Name:           vegastrike-music
Version:        0.5.0
Release:        2
Summary:        Music for Vega Strike
Group:          Amusements/Games
License:        GPL+
URL:            http://vegastrike.sourceforge.net/
# This is the music subdir of:
# http://downloads.sourceforge.net/vegastrike/vegastrike-linux-0.5.0.tar.bz2
# despite the confusing LICENSE.STANDALONE file, this is all fully GPL licensed
# see: http://vegastrike.sourceforge.net/forums/viewtopic.php?p=97573#97573
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       vegastrike-data >= %{version}

%description
Music for Vega Strike, a GPL 3D OpenGL Action RPG space sim that allows
a player to trade and bounty hunt. This archive contains the music files
necessary to hear music in VegaStrike. These files are *not* essential to
play the game.


%prep
%setup -q


%build
# nothing to build data only


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/vegastrike/music
install -p -m 644 *.ogg $RPM_BUILD_ROOT%{_datadir}/vegastrike/music


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_datadir}/vegastrike/music


%changelog
* Fri May 16 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.5.0-2
- Release bump for F-9 build without tag conflict, F-10 will inherit this from
  F-9, keeping the (large) packages identical, which  allows for hardlinking
  for space and bandwidth saving.

* Sun May  4 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.5.0-1
- Initial Fedora package
